<?php
/*
APPLICATION ATELIERPHP-e-signets - VERSION 3.2	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
if (!session_id())
{
	session_start();
}
(isset($_SESSION['myPass_1']))?print " ":exit();;
require("../admin/variables.php");
?>
<head>
<title>e-signets version <?php  echo $version ?> Vérification des signets</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<META http-equiv="Content-Language" content="fr">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
<?php
require("../fonctions/fonction_mysql_die.php");

ini_set('max_execution_time',9000); 
ini_set('mysql.connect_timeout',90000); 

// Connexion à la base de données
// mysql_select_db($db) ;

// Une requête qui va chercher les données que l'on veut vérifier (validité des liens)
$result = mysql_query("select url_id , url_category_id , url_title , url, url_verif_flag from $ep_url_tablename 
	where url_verif_flag < 2 and url_approved =1 and url_hibernate=0");

// une boucle pour remplir un tableau à deux colonnes contenant l'url_id et l'url
// de la table dans laquelle on a fait la requête et dont on veut tester la validité des url
// un deuxième tableau url_flag, ce tableau est à deux colonnes aussi et contient l'url_id et la valeur 0
while ($row=mysql_fetch_array($result))
{
	// Premier tableau
	// On ne spécifie pas la clé pour chaque valeur, PHP affecte d'office des valeurs en partant de 0
	// Chaque élément du tableau est un tableau à 2 valeurs : url_id et url 
	$url_array[] = array($row['url_id'],$row['url']);
	// Deuxième tableau
	// le tableau $url_flag contiendra les informations sur la validité du lien
	// on commence par mettre toutes les valeurs à 0, les valeurs clef de ce tableau sont
	// les valeur url_id
	$url_id = $row['url_id'];
	$url_flag[$url_id] = 0;
	// un autre tableau pour récupérer les anciennes valeurs
	$flag_base=$row['url_verif_flag'];
	$url_flag_precedent[$url_id]=$flag_base;
}


Echo "Vérification des signets <br />";
flush();
error_reporting(E_ERROR  | E_PARSE); 
foreach ($url_array as $value)
{
	$url_id = $value[0];
	$url = $value[1];
	echo $url_id." -> ".$url;
	$url = "http://".$url ;
	mysql_select_db($db);
	//ouverture du fichier en lecture seule
	$fp = fopen($url,'r'); 
	if ($fp)
	{
		echo "<font color='green'> OK </font><br />";
		flush();
		$url_flag[$url_id] = 1;
	}
	else
	{
		echo "<font color='red'> Ne répond pas</font><br />";
		flush();
		$url_flag[$url_id] = 0;
	}
}	




echo "<br />Mise à jour des données dans la base<br />";

// Par sécurité, à chaque execution de la vérification des signets
// un fichier temporaire de sauvegarde des signets est créé
$file_name = "../data/temp_url.txt";
// Ouverture du fichier
$myFile = fopen($file_name, "w");

if (!($myFile))
{
	print ("Le fichier de sauvegarde temporaire semble ne pas exister");
}
else
{
	// un compteur pour indiquer le nombre de mise à jour
	$j=0;
	// un compteur de valeurs traités
	$k=0;
	foreach ($url_array as $value)
	{
		$url_id = $value[0];
		$url = $value[1];
		$k++;		
		// Ecriture dans un fichier appelé temp_url.txt
		fputs($myFile,$url."|".$url_id."|".$url_flag[$url_id]);
		fputs($myFile,"\n");
		
		// Mise à jour des données de la base
		$result = mysql_query("update $ep_url_tablename set url_verif_flag = '$url_flag[$url_id]' where url_id = '$url_id' ") or mysql_die();
		
		if($url_flag[$url_id] != $url_flag_precedent[$url_id])
		{
			// Affichage du résultat à l'écran
			echo "<br />".$url_id." -> ".$url." ";
			Echo "<br />Drapeau ".$url_flag_precedent[$url_id]." modifié en ".$url_flag[$url_id];
			($result)?(print"<font color='green'> OK</font>"):(print"<font color='red'> Erreur</font>");
			$j++;
		}
	}	
	Echo "<br /><br />Nombre total d'enregistrements traités : ".$k;
	Echo "<br />Nombre d'enregistrements modifiés : <b>".$j."</b>";
		
}

error_reporting(E_ERROR | E_WARNING | E_PARSE);
require ("../pied_de_page/pied_de_page.php");
?>
