<?php
/*
APPLICATION ATELIERPHP-e-signets - VERSION 3.2	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
class classFormValidation
{
	//  variable de classe
	var $_errorList;
	// methode publique : constructor remise à zero de la liste des erreurs
	// NB:le constructeur porte le même nom que la classe et s'execute à 
	// chaque instantiation de la classe
	// le mot-clé this est utilisé pour appeler une méthode qui est 
	//à l'interieur de la classe
	function classFormValidation()
	{
		$this->resetErrorList();
	}
	//*********************************************************************
	function isUrl_title($field, $msg, $label)
	{
		if (isSet($_POST[$field])) 
		{
			if 	(strlen($_POST[$field]) > 4 )
			{
				return true;
			}
			else
			{
				$this->_errorList[] = array("field" => $field, 
					"value" => $_POST[$field], "msg" => $msg, "label" => $label);
				return false;
			}
		}
		else
		{
			$this->_errorList[] = array("field" => $field, 
				"value" => $_POST[$field], "msg" => $msg, "label" => $label);
			return false;
		}
	}
	//**********************************************************************
	function isUrl($field, $msg,$label)
	{
		//$value = $this->_getValue($field);
		$value = $_POST[$field] ;
		$pattern = "[]<\>\&\"\#\{\(\[\|\^\@\)\=\}\,\?\;\:\!\§\/\*\%\$\Ł\-\+\°]";
		$pattern = "a";
		//if (!ereg($pattern, $value) and strlen($value > 4))
		if (strlen($value) > 4)
		{
			return true;
		}
		else
		{
			$this->_errorList[] = array("field" => $field, 
				"value" => $value, "msg" => $msg, "label" => $label);
			return false;
		}
	}
	
	//***********************************************************************
	//methode pour regarder si la valeur est une adresse email renvoyer le résultat
	function isUrl_category_id($field, $msg, $label)
	{
		$value = $_POST[$field] ;
		if($value > 0)
		{
			return true;
		}
		else
		{
			$this->_errorList[] = array("field" => $field, 
				"value" => $value, "msg" => $msg, "label" => $label);
			return false;
		}
	}

	//************************************************************************
	//methode pour regarder si la valeur est une date valide et renvoyer le résultat
	function isDate($date_day,$date_month,$date_year, $msg)
	{
		//$value = $this->_getValue($field);
		$field = "Date";
		$value = "Day:".$_POST[$date_day]." Month:".$_POST[$date_month].
			" Year:".$_POST[$date_year];
		if(!checkdate($_POST[$date_month],$_POST[$date_day],$_POST[$date_year]))
		{
			$this->_errorList[] = array("field" => $field, 
				"value" => $value, "msg" => $msg);
			return false;
		}
		else
		{
			return true;
		}
	}

function isNumber($field, $msg)
	{
		//$value = $this->_getValue($field);
		$value = $_POST[$field] ;
		if(!is_numeric($value))
		
		{
			$this->_errorList[] = array("field" => $field, "value" => $value, "msg" => $msg);
			return false;
		}
		else
		{
			return true;
		}
	}

function isBool($field, $msg)
	{
		//$value = $this->_getValue($field);
		$value = $_POST[$field] ;
		if($value != 0 and $value !=1 )
		{
			$this->_errorList[] = array("field" => $field, "value" => $value, "msg" => $msg);
			return false;
		}
		else
		{
			return true;
		}
	}
 	//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	//methode pour dire s'il y a ou non des erreurs
	function isError()
	{
		if (sizeof($this->_errorList) > 0)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	// remise à 0 de la liste des erreurs
	function resetErrorList()
	{
		$this->_errorList = array();
	}
}

?>
