<?php
/*
APPLICATION ATELIERPHP-e-signets - VERSION 3.2	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../fonctions/fonction_mysql_die.php");
require("../admin/variables.php"); 
require("../fonctions/fonction_ajout_groupe.php");
require("../fonctions/fonction_coupe_texte.php");
ini_set('max_execution_time',360); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="lang" content="fr">
<meta name="keywords" content="signets, bokmarks, favoris">
<meta name="description" content="Application : e-signets">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
<title>e-signets version <?php  echo $version ?> Importation des signets  de Firefox ou d'Internet Explorer</title>
</head>
<?php
if (empty($_FILES['myFileName']['name']) or empty($_REQUEST['group_name']))
{
    echo "<body OnLoad='document.inport.group_name.focus()'; >";
    echo "<H2>Importation des signets de Firefox ou d'Internet Explorer</H2>";
    echo "<font color=red>Par défaut, cette opération ne peut être réalisée qu'une fois pour un fichier de signets donné<br />";
    echo "Si vous devez l'executer plusiers fois le groupe créé devra être effacé avant la reprise de l'opération <br />(sinon risque de signets en double)</font><br /><p>";
    echo "<FORM  name='inport' ACTION=$_SERVER[PHP_SELF] METHOD=post enctype='multipart/form-data'>";
    echo "<table class='form_1' cellspacing=10 ><tr><td>";
    echo "Vous devez donner un nom (30 caractères max) au groupe qui va être créé avec ces signets : ";
    echo "</td><td><input type='text' name='group_name' size=30 maxlength=30>";
    echo "</td></tr><tr><td>";
    echo "<tr><td>Sélectionnez le fichier sur votre ordinateur contenant les signets exportés <br />";
    echo "<small>Exemple pour Internet explorer : /mes documents/bookmark.htm <br />";
    echo "Exemple pour Firefox  : /mes documents/bookmarks.html </small><br />";
    echo "</td><TD><INPUT NAME='myFileName' TYPE='file' size=50></TD></tr>";
    echo "<tr><td></td><td><input type='submit' name='submit' size=50 
        value='Créer le groupe et y transferer les signets du navigateur ' style='background-color:#CCCCCC'>";
    echo "</td></tr></table>";
    echo "</form>";
}
else
{
    if (file_exists($_FILES['myFileName']['tmp_name']))
    {
        echo "Le fichier temporaire ".$_FILES['myFileName']
        ['tmp_name']." a bien été créé et va être utilisé <br />";
    }
    $file = $_FILES['myFileName']['tmp_name'];
    $f=file($file);
    $group_name = $_REQUEST['group_name'];
    $category_description = "Signets importés du navigateur ".$_REQUEST['group_name'];
    $category_group_private_flag = '0' ; // on met le groupe public par défaut
    $category_group_column_number = '1' ; //première colonne par défaut
    $categ_ = $_REQUEST['group_name']." Non_classés";
		create_group($group_name, 
								 $categ_ , 
								 $category_description, 
								 $category_group_private_flag,
								 $category_group_column_number );   
		//create_categ($group_name, $categ_, $category_description, $ep_category_tablename);
  //--------------- coding html head ---------------
  $compt=0;
  $level=1;
  $str_1="&lt;";
  $str_2="&gt;";
  $fin_url_title = $str_1."/A".$str_2 ;
  echo "Je crée et charge ".$level."****".$categ;
  foreach($f as $myLine)
  {
        $categ_flag=0;
        $url_flag=0;
        $url_description = "";
        $category_description = "";
        $myLineH = htmlentities(trim(utf8_decode(str_replace("&#39;","'",$myLine))));
        $pos_1 = strpos($myLineH,"DT&gt;&lt;H3");
        $pos_2 = strpos(substr($myLineH,$pos_1+7),$str_2)+$pos_1+11;
        $len = strlen(substr($myLineH,$pos_2))-11;
        if ($pos_1){
          $level++;
          $idx++;
          $categ_flag=1;
          ($level ==2) ? $categ[$level]= substr(($myLineH),$pos_2,$len) : print "" ;
          ($level ==2) ? $categ_= substr(($myLineH),$pos_2,$len) : print "" ;
          //echo "<big>Je crée et charge ".$level."****".$categ[$level]."</big><br />";
        }
        if (strpos($myLineH,"/DL&gt;")){
          $level--;      
          $categ_flag=0;
        }
          //echo $level ."*!*!*!* je charge".$categ[$level]." <br />";
        if (strpos($myLine,"http:"))
        {
          $url_flag=1;
          $compt++;
          //on cherche le "a href"
          $pos_1 = strpos($myLineH,"http");
          //on cherche le premier espace après le http
          $pos_2 = strpos(substr($myLineH,$pos_1+10)," ");
          //on cherche la fermeture du tag <a href= ... >
          $pos_3 = strpos(substr($myLineH,10),$str_2) + 14;
          $pos_4 = strpos(substr($myLineH,$pos_3),"/A") -4;
          $url_value = substr($myLineH,$pos_1,$pos_2 + 4);
          $url_title = (substr($myLineH,$pos_3,$pos_4));
          $url_keywords = "";
          //echo $pos_5."*".$compt."*".$url_value."*".$url_title."*".$url_description."<hr>";
          }
        if ( strpos(substr($myLineH,3,3),"DD") )
        {
            if ($url_flag==1)
            {
                $url_description = $myLine ;
            } 
            if ($category_flag==1)
            {
                $category_description = $myLine ;
            }
        }
        if ($url_flag==1)
        {   
          ($level ==1) ? $categ_= $_REQUEST['group_name']." Non_classés" : print "" ;
            add_url($group_name, $categ_, $categ_, 
                  $url_flag , $url_value, $url_description, $url_keywords, $url_title,
                  $ep_url_tablename ,$ep_category_tablename );
            
        } 
        if ($categ_flag==1 and $level==2 and strlen(trim($categ[$level]))>0 )
        {
            
            create_categ($group_name, $categ[$level], $category_description, $ep_category_tablename);
            //echo "<big>Je crée et charge ".$level."****".$categ[$level]."</big><br />";
        }
  }
  //effacement fichier temporaire
  unlink($_FILES['myFileName']['tmp_name']);
}

// -------------------------- S O U S    R O U T I N E S création tables
function create_categ($group_name, $categ_name, $category_description, $ep_category_tablename)
{
	//echo "création catégorie  $categ_name ";
	$group_name_ = addslashes($group_name);
	($categ_name == '') ? $categ_name_ = $group_name_ : $categ_name_ = addslashes($categ_name);
	$sub_categ_name_ = $categ_name_  ;
	$category_description = $categ_name_ ;
  //on recherche l'id du groupe
  $result_group_id = mysql_query("SELECT * from $ep_category_tablename 
        WHERE category_group = '$group_name_' ") or mysql_die();
  $row_group_id = mysql_fetch_array($result_group_id);
  //on regarde si la catégorie existe déjĂ  dans ce groupe
  $query = "SELECT * from $ep_category_tablename 
          WHERE  category_category = '$categ_name_' and category_sub_category = '$sub_categ_name_' ";
  $result = mysql_query($query) or mysql_die();
  $row = mysql_fetch_array($result);
  if (!$row) //si la catégorie n'existe pas 
  {
  	$result = mysql_query("INSERT INTO $ep_category_tablename 
  			(category_group, category_group_id, category_category, 
            category_sub_category, 
            category_description, 
						category_group_private_flag,
						category_group_column_number) 
  			VALUES ('$group_name_','$row_group_id[category_group_id]','$categ_name_',
					'$sub_categ_name_',
					'$category_description',
					'$row_group_id[category_group_private_flag]',
					'$row_group_id[category_group_column_number]')");
      if(!$result) error_message(sql_error());
    ($result !=1)? print "<br><font color=red>Problème lors de l'insersion de la catégorie </font><br />" : print "Catégorie : <i>$categ_name_</i> insérée dans la base <br />";    
  }   
  else
  {
    echo "<font color=red> Categorie <i>$categ_name_</i> déja présente, non créée, signets non importés </font><br /> ";
  }
} 
function add_url($group_name, $categ_name, $sub_categ_name, 
            $url_flag , $url_value, $url_description, $url_keywords, $url_title,
            $ep_url_tablename, $ep_category_tablename )
{
  global $level;
  //recherche de l'index categorie
	$group_name_ = addslashes($group_name);
	($categ_name == '') ? $categ_name_ = $group_name : $categ_name_ = addslashes($categ_name);
	($sub_categ_name == '')? $sub_categ_name_ = $categ_name_  : $sub_categ_name_ = addslashes($sub_categ_name);
    $query = "SELECT * from $ep_category_tablename 
            WHERE category_group = '$group_name_' 
                and category_category = '$categ_name_' and category_sub_category = '$sub_categ_name_' ";
    $result = mysql_query($query) or mysql_die();
    $row = mysql_fetch_array($result);
    $url_category_id = $row['category_id'];
    $url_title = addslashes($url_title);
    $url_sub_title = "";//addslashes($url_sub_title);
    $url = $url_value;
    $url = eregi_replace('http://', "", $url);
    $url = eregi_replace("/$", "", $url);
    $url_hidden_description = $url_keywords;
    $url_description = addslashes($url_description);
    //construction de la date
    $current = getdate();
    $url_registerdate = getdate(); //$current["mday"] . "/" .$current["mon"]. "/" .$current["year"]; 
    $approuved = 1;
    $url_verif_flag= 1;
//recherche si le signet n'est pas déjĂ  dedans
    $query_3 = "select * from  $ep_url_tablename WHERE url_category_id = '$url_category_id' and url = '$url' ";
    $result_3 = mysql_query($query_3);
    $row_3 = mysql_fetch_array($result_3);
    if (!$row_3)
    { 
      //ajout dans la table
          $table_name = "ep_url_list";
          $query = "INSERT INTO $ep_url_tablename
               (url_category_id ,url_title, url_sub_title,url,url_description,url_registerdate, url_hit,
               url_lastaccesstime,  url_approved, url_verif_flag, 
               url_hidden_description, url_favorite)
                       VALUES
               ('$url_category_id', '$url_title', '$url_sub_title', '$url', '$url_description', CURDATE(), 0,
               NULL,  '$approuved', '$url_verif_flag', 
               '$url_hidden_description','0') ";
         $result = mysql_query($query) or mysql_die();
         ($result !=1)? print "<br>Problème lors de l'insersion du signet $url <br />" : print "";
      }   
}
require ("../pied_de_page/pied_de_page.php");
?>
</BODY>
</HTML>
