<?php
/*
APPLICATION ATELIERPHP-e-signets - VERSION 3.2	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
// *********************  F O N C T I O N S 
function read_mysql_params()
{
    global $mysql_host, $mysql_user, $mysql_pass, $mysql_db ;
    $mySQLParams = file("../mysql_connexion/mysql_connexion.php");
    for ($index=0;$index<count($mySQLParams);$index++)
        {
            if (strpos($mySQLParams[$index],"mysql_host") and $flag_mysql_host == 0)
            {
                $mysql_host_1 = strpos($mySQLParams[$index],'"');
                $mysql_host_2 = strrpos($mySQLParams[$index],'"') - 1 ;
                $mysql_host = substr($mySQLParams[$index], $mysql_host_1 +1 , $mysql_host_2 - $mysql_host_1 );
                $flag_mysql_host = 1;
            }
            if (strpos($mySQLParams[$index],"mysql_user") and $flag_mysql_user == 0)
            {
                $mysql_user_1 = strpos($mySQLParams[$index],'"');
                $mysql_user_2 = strrpos($mySQLParams[$index],'"') - 1 ;
                $mysql_user = substr($mySQLParams[$index], $mysql_user_1 +1 , $mysql_user_2 - $mysql_user_1 );
                $flag_mysql_user = 1;
            }
            if (strpos($mySQLParams[$index],"mysql_pass") and $flag_mysql_pass == 0)
            {
                $mysql_pass_1 = strpos($mySQLParams[$index],'"');
                $mysql_pass_2 = strrpos($mySQLParams[$index],'"') - 1 ;
                $mysql_pass = substr($mySQLParams[$index], $mysql_pass_1 +1 , $mysql_pass_2 - $mysql_pass_1 );
                $flag_mysql_pass = 1;
            }
            if (strpos($mySQLParams[$index],"mysql_db") and $flag_mysql_db == 0)
            {
                $mysql_db_1 = strpos($mySQLParams[$index],'"');
                $mysql_db_2 = strrpos($mySQLParams[$index],'"') - 1 ;
                $mysql_db = substr($mySQLParams[$index], $mysql_db_1 +1 , $mysql_db_2 - $mysql_db_1 );
                $flag_mysql_db = 1;
            }
        }
}
function show_mysql_params($titre)
{
    global $mysql_host, $mysql_user, $mysql_pass, $mysql_db ;
    echo "<h3>".$titre."</h3>";
    echo "<table ><tr>";
    echo "<th class=th_1>Serveur : </th><td class=td_1>$mysql_host</td></tr>";
    echo "<th class=th_1>Utilisateur : </th><td class=td_1>$mysql_user</td></tr>";
    echo "<th class=th_1>Mot de passe : </th><td class=td_1>$mysql_pass</td></tr>";
    echo "<th class=th_1>Nom de la base : <br><small>(Cela ne signifie pas qu'elle est créée)</small></th><td class=td_1>$mysql_db</td></tr>";
    echo "</table>";
}
