<?php
/*
APPLICATION ATELIERPHP-e-signets - VERSION 3.2	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php");
require("../fonctions/fonction_mysql_die.php");
require ("../fonctions/fonction_coupe_texte.php");
?>
<html>
<head>
<title>e-signets version <?php echo $version ?> Ajout signet</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<META http-equiv="Content-Language" content="fr">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
</head>
<body>
<?php
echo "<H2>Ajouter un site  (suite)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=../aide.html#_rajouter><small>Aide</small></a></h2>";
if (isset($_REQUEST[bad_url]))
{
		$url = trim($_POST['url']) ;
		require ("../fonctions/fonction_charge_categories.php");
		charge_categories($ep_category_tablename, $ep_url_tablename);
		require ("../fonctions/fonction_formulaire_ajout_modif.php");
		formulaire_ajout_modif(	$list_category,$list_category_id,
								$url, 					$flag_url,
								$url_category_id, 		$flag_url_category_id,
								$url_title, 			$flag_url_title,
								$url_sub_title,		    $flag_url_sub_title,
								$url_description,		$flag_url_description,
								$url_hidden_description,$flag_url_hidden_description) ;
								
		require ("../pied_de_page/pied_de_page.php");
exit();
}
if (isset($_REQUEST[submit_load]))
{
	$url = trim($_POST['url']) ;
	if (substr($url,0,4) != "http")
		{
			$url = "http://".$url;
		}
	error_reporting(E_ERROR  | E_PARSE); 
	ini_set('max_redirects', 20);
	if (fopen($url,'r'))
	{
		$fp = fopen($url,'r'); 
		$pointer = 0;
		$flag_hidden_description = "";
		$flag_url_description = "";
		$flag_url_sub_title = "";
		//construction du nom du site à partir de l'URL
		if (strpos($url, "www"))
		{
			$end_url = substr($url,11,strlen($url));
			strpos($end_url,'/')>0 ? $end_pos = strpos($end_url,'/') : $end_pos = strlen($end_url); 
			$url_title = ucfirst(substr($end_url,0,$end_pos));
		}
		else
		{
			$end_url = substr($url,7,strlen($url));
			strpos($end_url,'/') ? $end_pos = strpos($end_url,'/') : $end_pos = strlen($end_url); 
			$url_title =  ucfirst(substr($end_url,0,$end_pos));
		}
		$url_title = utf8_encode($url_title) ;
		$url_title = fonction_coupe_texte($url_title);  // on enlève tout ce qui est après > ou < et & devient ,		
		//feof indiquera la fin du fichier
		//le fichier est parcouru jusqu'àu break
		while(!feof($fp)) 
		{
		    $pointer ++ ;
        $flag_iso = 0 ;
		    //lecture du fichier, stockage dans $ligne
		    $ligne =(strtolower(fgets($fp)));
		    //echo substr($ligne,1)."***<br />";
		    //recherche de la description
		    if (strpos($ligne, "name") and strpos($ligne,"description") and strpos($ligne,"content"))
		    {
				$url_description = (ucfirst(trim(strtr(substr($ligne,
					strpos($ligne, "content")+8,strlen($ligne)- strpos($ligne, "content")-10),'"'," "))));
        $url_description = utf8_encode($url_description) ;
				$url_description = fonction_coupe_texte($url_description);  // on enlève tout ce qui est après > ou < et & devient ,
				$flag_url_description = 1;
			  }
		    //recherche des mots clés
		    if (strpos($ligne, "name") and strpos($ligne,"keywords") and strpos($ligne,"content"))
		    {
				$url_hidden_description = (trim(strtr(substr($ligne,strpos($ligne, "content")+8,strlen($ligne)- strpos($ligne, "content")-10),'"'," ")));
        $url_hidden_description = utf8_encode($url_hidden_description) ;
				$url_hidden_description = fonction_coupe_texte($url_hidden_description);  // on enlève tout ce qui est après > ou < et & devient ,
				$flag_hidden_description = 1;
			  }
		    if (strpos($ligne, "title") and strpos($ligne, "/title"))
		    {
				$url_sub_title = ucfirst(trim(substr($ligne,strpos($ligne, "title")+6,strlen($ligne)-16)));
        $url_sub_title = utf8_encode($url_sub_title) ;
				$url_sub_title = fonction_coupe_texte($url_sub_title);  // on enlève tout ce qui est après > ou < et & devient ,
				$flag_url_sub_title = 1;
			  }
			if (($flag_url_description == 1 and $flag_hidden_description == 1 and $flag_url_sub_title==1) or $pointer==500)
			{
				break;
			}
		}
		fclose($fp); 		
		require ("../fonctions/fonction_charge_categories.php");
		charge_categories($ep_category_tablename, $ep_url_tablename);
		require ("../fonctions/fonction_formulaire_ajout_modif.php");
		formulaire_ajout_modif(	$list_category,$list_category_id,
								$url, 					$flag_url,
								$url_category_id, 		$flag_url_category_id,
								$url_title, 			$flag_url_title,
								$url_sub_title,		    $flag_url_sub_title,
								$url_description,		$flag_url_description,
								$url_hidden_description,$flag_url_hidden_description) ;
		require ("../pied_de_page/pied_de_page.php");
	}
	else // url invalide suite du if($fp)
	{
		    (isset($_POST['url']) and strlen($_POST['url'] <7 ))  ? print "<font color=red><big>L'adresse du site semble invalide ou une redirection empêche de lire la page!</big></font>":print "";
			require ("ajout_signet_1.php");
	}
}   

?> 
