<?php
/*
APPLICATION ATELIERPHP-e-signets - VERSION 3.2	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
function fonction_coupe_texte($texte)
{
	/*
  //on coupe si l'on trouve < ou >
	if (strpos($texte,"<"))
	{
		$texte = substr($texte,0,strpos($texte,"<"));
	}
	if (strpos($texte,">"))
	{
		$texte = substr($texte,0,strpos($texte,">"));
	}
	*/
	if (strpos($texte,"&"))
	{
		$texte = ereg_replace("[&]",",",$texte);
	}
  //echo $texte."<br />";
	$texte = str_replace(",oelig;","œ",$texte);
	$texte = str_replace("à©","é",$texte);
	$texte = str_replace(",#039;","'",$texte);
	$texte = str_replace(",#39;","'",$texte);
	$texte = str_replace("ÃÂ","à",$texte);
	$texte = str_replace("Ã§","ç",$texte);
	$texte = str_replace("Ã¢","â",$texte);
	$texte = str_replace("Ãª","ê",$texte);
	$texte = str_replace("Ã«","ë",$texte);
	$texte = str_replace("&#233","è",$texte);
	$texte = str_replace("&#232","é",$texte);
	$texte = str_replace("&lt;","",$texte);
	$texte = str_replace("&gt;","",$texte);
	$texte = str_replace("<","",$texte);
	$texte = str_replace(">","",$texte);
	$texte = str_replace('/',"",$texte);
	$texte = str_replace("&","_",$texte);
	$texte = str_replace(",eacute;","é",$texte);
	$texte = str_replace(",euml;","ë",$texte);
	$texte = str_replace(",#233;","é",$texte);
	$texte = str_replace("é","é",$texte);
	$texte = str_replace("Ă‰","é",$texte);
	$texte = str_replace("Ã©","é",$texte);
	$texte = str_replace("Ã¨","è",$texte);
	$texte = str_replace("Ă¨","è",$texte);
	$texte = str_replace(",egrave;","è",$texte);
	$texte = str_replace(",#232;","è",$texte);
	$texte = str_replace(",agrave;","à",$texte);
	$texte = str_replace(",#224;","à",$texte);
	$texte = str_replace("Ă","à",$texte); 
	$texte = str_replace(",ugrave;","ů",$texte);
	$texte = str_replace(",#249;","ů",$texte);
	$texte = str_replace(",ucirc;","ű",$texte);
	$texte = str_replace(",#251;","ű",$texte);
	$texte = str_replace(",icirc;","î",$texte);
	$texte = str_replace(",#238;","î",$texte);
	$texte = str_replace(",iuml;","ď",$texte);
	$texte = str_replace(",#339;","ď",$texte);
	$texte = str_replace(",ecirc;","ê",$texte);
	$texte = str_replace(",#234;","ê",$texte);
	$texte = str_replace(",ocirc;","ô",$texte);
	$texte = str_replace(",#244;","ô",$texte);
	$texte = str_replace("à´","ô",$texte); 
	$texte = str_replace("Ă´","ô",$texte); 
	$texte = str_replace(",ccedil;","ç",$texte);
	$texte = str_replace(",#231;","ç",$texte);
	$texte = str_replace(",#8217;","'",$texte);
	$texte = str_replace(",#339;","ś",$texte);
	$texte = str_replace("Ã","à",$texte);
  //echo $texte."<br />";
	return $texte;
}
?>
