<?php
/*
APPLICATION ATELIERPHP-e-signets - VERSION 3.2	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php");
echo "<H2>Ajouter un site &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=../aide.html>Aide</a></H2>";
require("../fonctions/fonction_mysql_die.php");
require ("../fonctions/fonction_charge_categories.php");
require ("../fonctions/fonction_coupe_texte.php");
?>
<html>
<head>
<title>e-signets version <?php echo $version ?> Ajout signet</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<META http-equiv="Content-Language" content="fr">
<LINK rel='stylesheet' href='../styles/feuille_formulaire_signets.css' type='text/css'>
</head>
<body>
<?php
charge_categories($ep_category_tablename, $ep_url_tablename);
// inclusion de la classe class
include("../classes/classe_validation.php");
// création d'un object: instanciation de la classe
$objValidation = new classFormValidation();
// validation de chaque champ
//url
$objValidation->isUrl("url", "doit comporter plus de 4 caractères", "URL"); 
$flag_url = false;
//titre
$objValidation->isUrl_title("url_title" , "Doit comporter plus de 6 caractères ","Titre du site");
$flag_url_title = false;
//catégorie 
$objValidation->isUrl_category_id("url_category_id", "ne peut être vide", "Catégorie"); 
$flag_url_category = false;
//
if ($objValidation->isError())
{
	$errors = $objValidation->_errorList;
	echo "<b>L'opération n'a pas pu être effectuée, une 
	ou plusieurs informations sont manquantes.</b> <br /> 
	<ul>Merci de fournir les informations demandées:";
	foreach ($errors as $e)   
	{
		echo "<li> La valeur du champ :<b>" . 
		$e['label']."</b> que vous avez saisi (".
		$e['value'].") n'est pas valide :".$e['msg']."<br />";			
		($e['field'] == "url") ? $flag_url = true : print "";
		($e['field'] == "url_category_id") ? $flag_url_category_id = true : print "";
		($e['field'] == "url_title") ? $flag_url_title = true : print "";
	}   
	echo "</ul>";
	require ("../fonctions/fonction_formulaire_ajout_modif.php");
	formulaire_ajout_modif(	$list_category,$list_category_id,
							$_POST['url'], 					$flag_url,
							$_POST['url_category_id'], 		$flag_url_category_id,
							$_POST['url_title'], 			$flag_url_title,
							$_POST['url_sub_title'],		$flag_url_sub_title,
							$_POST['url_description'],		$flag_url_description,
							$_POST['url_hidden_description'],$flag_url_hidden_description) ;
}
else
{
	// traitement des données
	    $url_category_id = $_POST['url_category_id'];
	    $url_title = addslashes(fonction_coupe_texte($_POST['url_title']));
	    $url_sub_title = addslashes(fonction_coupe_texte($_POST['url_sub_title']));
	    $url = $_POST['url'];
	    $url = eregi_replace('http://', "", $url);
	    $url = eregi_replace("/$", "", $url);
         //on recherche les catégories pour les mettre dans l'index
	    $result_categ = mysql_query("SELECT * from $ep_category_tablename where category_id = $_POST[url_category_id]");
	    $row_categ = mysql_fetch_array($result_categ);
	    if ($row_categ['category_category']==$row_categ['category_sub_category'])
		{
			$url_hidden_description = addslashes(fonction_coupe_texte($_POST['url_hidden_description'])
			." ".$row_categ['category_group'].",".$row_categ['category_category']);
		}
		else
		{
			$url_hidden_description = addslashes(fonction_coupe_texte($_POST['url_hidden_description'])
			." ".$row_categ['category_group'].",".$row_categ['category_category']
			.",".$row_categ['category_sub_category']);
		}
		echo $row_categ['category_category']."*".$url_hidden_description ;
	    //$url_hidden_description = addslashes($_POST['url_hidden_description']);
	    $url_description = addslashes(fonction_coupe_texte($_POST['url_description']));
	    (isset($_POST['favori']))?$favori=1:$favori=0;
	    //construction de la date
	    $current = getdate();
	    $url_registerdate = getdate(); //$current["mday"] . "/" .$current["mon"]. "/" .$current["year"]; 
	    /*$query = "UPDATE $ep_category_tablename SET category_num_item = category_num_item + 1
	            WHERE category_id = '$url_category_id'";
	    $result = mysql_query($query);
	    if(!$result) error_message(sql_error()); */
	    //isset($_SESSION['myPass_1'])?$approuved = 1:$approuved=0;
	    $approuved = 1 ;
	    $url_verif_flag= 1;
	//nom de la catégorie pour la mettre dans la table des signets pour la recharche full text
	    $query_2 = "select * from  $ep_category_tablename WHERE category_id = '$url_category_id'";
	    $result_2 = mysql_query($query_2);
	    $row_2 = mysql_fetch_array($result_2);
	    $category = $row_2['category_category'];
	    if(!$result_2) error_message(sql_error());
	//ajout dans la table
	    $table_name = "ep_url_list";
	    $query = "INSERT INTO $ep_url_tablename
	         (url_category_id ,url_title, url_sub_title,url,url_description,url_registerdate, url_hit,
	         url_lastaccesstime,  url_approved, url_verif_flag, 
	         url_hidden_description, url_favorite)
	                 VALUES
	         ('$url_category_id', '$url_title', '$url_sub_title', '$url', '$url_description', CURDATE(), 0,
	         NULL,  '$approuved', '$url_verif_flag', 
	         '$url_hidden_description','$favori')";
	   $result = mysql_query($query) or mysql_die();
	   if($result) 
	   {		
			echo "$url_title($url) a été correctement inséré! ";
		}
	   	else
	   	{
	   		echo "<SCRIPT> <!--
			alert(\"$url_title($url) n'a pas pu être correctement inséeé. \");
	   	 	self.close();
			// -->
	   		</SCRIPT>";
	   	}
}
require ("../pied_de_page/pied_de_page.php");
?> 
