<?php
/*
APPLICATION ATELIERPHP-e-signets - VERSION 3.2	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php");
require("../fonctions/fonction_mysql_die.php");
?>
<html>
<head>
<META http-equiv="Content-Language" content="fr">
<META http-equiv="Content-Type" content="text/html; charset=utf-8">
<META name="lang" content="fr">
<META name="keywords" content="signets,bookmarks,favoris">
<META name="description" content="Une application en PHP pour mettre vos signets sur Internet">
<META name="rating" content="General">
<META name="ROBOTS" content="ALL">
<META name="revisit-after" content="120 days">
<title>e_signets version <?php  echo $version ?> </title>

<!-- Feuille de style par défaut à ne pas modifier -->
<LINK rel='stylesheet' href='../styles/feuille_e_signets_principale.css' type='text/css'>
<!-- Couleurs personnalisée, à modifier ou remplacer -->
<LINK rel='stylesheet' href='../styles/feuille_e_signets_vert.css' type='text/css'>


<?php
$rechercher = "<img src='../images/rechercher_.gif' width='72' height='15' border='1' alt='Rechercher dans les signets'>";
$point = "<img src=../images/point_jaune_petit.jpg>";
?>


</head>
<body>

<!-- ********************************************************************************-->
<!-- ******************     Début de la table principale     ************************-->
<!-- ********************************************************************************-->

<?php
// on regarde si la variable cat_id contient une valeur ou non, si non on lui attribue la valeur '0'
// on appelle ensuite la fonction en_tete_selon_page()
isset($_REQUEST['category_id'])?($cat_id = $_REQUEST['category_id']):($cat_id=0) ;

// La fonction affiche le bon titre et renvoie le contenu du titre pour être utilisé ultérieurement
// en_tete_selon_page($cat_id,$ep_category_tablename);

(isset($_SESSION['myPass_1']))? $myPass = "ok" : $myPass="";

?>
<!-- DEBUT DU TABLEAU PRINCIPAL DE LA PAGE -->
<table align="center" border="0" width="900">

<!-- DEBUT 1ER LIGNE EN TETE EVIDENCES  -->
<!-- <tr><td>
<!-- DEBUT EN TETE SOCIETE  -->
<!-- <table align=center width=100% border=0 class="td_societe"> -->
<!--
<tr><td>
<a href="">LOGO</a>
</td>
<TD align=right CLASS="NOTE" width=500><b>TEXTE</b>
</td></tr>
</table>
<!-- FIN EN TETE SOCIETE -->
<!-- </td></tr> -->
<!-- FIN 1ER LIGNE  -->
<br />

<!-- *********************************************        -->
<!-- DEBUT 2EME LIGNE  MENU FAVORIS, HASARD, RECENT -->
<tr><td class="td_menu">
<?php
//  utile pour définir le titre des signets affichés
// par exemple : les signets récents, favoris, hasard...
en_tete_selon_page($cat_id,$ep_category_tablename);
// affichage du menu
tableau_menu($title_short);
?>
</td></tr>
<!-- FIN 2EME LIGNE  -->

<!-- *********************************************        -->
<!-- DEBUT 3EME LIGNE  les groupes  -->
<tr><td class="td_groupes">
<?php  
affichage_des_groupes($ep_category_tablename);
?>

</td></tr>
<!-- FIN 3EME LIGNE  -->

<!-- *********************************************        -->
<!-- DEBUT LIGNE 4 --  LES CATEGORIES (à gauche) ET LES SIGNETS (à droite)) -->
<tr><td>
<table border=0><tr><td width="150" height="300" class="td_gauche_principale">
<?php
affichage_des_categories($ep_category_tablename);
?>
</td>
<td class="td_droite_principale">
<!-- début de l'affichage des signets -->
<?php
affichage_des_signets($ep_url_tablename,$ep_category_tablename,$title_short,$myPass);
?>
</td></tr></table>
<!-- FIN DE LA LIGNE 4 -->
</td></tr>

<!-- *********************************************        -->
<!-- DEBUT DE LA LIGNE 5 PIED DE PAGE -->
<TR><TD class="td_footer">
<?php
footer($myPass);
?>
<!-- FIN DE LA LIGNE 5 -->
</td></tr>
<!-- FIN DU TABLEAU PRINCIPAL DE LA PAGE -->
</table>

</BODY>
</HTML>

<?php
//**************************************************************************
//************************** F O N C T I O N S *****************************
//**************************************************************************

function en_tete_selon_page($cat_id_2,$ep_category_tablename_2)
// affichage de l'en-tête particulier pour l'affichage des signets d'une catégorie
{
  global $title_short;
        if (!$cat_id_2 == 0)
        {                    
                $query = "SELECT * FROM $ep_category_tablename_2 where category_id = '$cat_id_2' " ;
                // On met la ligne de résultats dans un tableau : $tableau
                $tableau = mysql_query($query) ;
                $row=mysql_fetch_array($tableau);
                if ($row['category_sub_category'] == $row['category_category'])
                {
                        $title = "Atelier PHP - Application - Les signets, rubrique : ".$row['category_category'];
                        $title_short = $row['category_category'];
                }
                else
                {
                        $title = "Atelier PHP - Application - Les signets, rubrique : ".$row['category_category']." > ".$row['category_sub_category'];
                        $title_short = $row['category_category']." > ".stripslashes($row['category_sub_category']);
                }
                echo "<title>".$title."</title>\n";        
        }
        else
        {
                echo "<title>Atelier PHP - Application - Les signets</title>";
                $title ="Atelier PHP - Application - Les signets";
                $title_short ="---";
        }
  isset($_REQUEST['random'])?$title_short="10 signets pris au hasard":print"";
  isset($_REQUEST['recents'])?$title_short="Les 10 derniers signets saisis dans la base":print"";
  isset($_REQUEST['favoris'])?$title_short="Les signets favoris":print"";
  isset($_REQUEST['cherche_texte'])?$title_short="Recherche de '".$_REQUEST['cherche_texte']."' dans les signets:":print"";
        if ((!isset($_REQUEST['category_id']) or !isset($_REQUEST['recents']))
                        and !isset($_REQUEST['random']) and !isset($_REQUEST['cherche_texte'])
                        and isset($_REQUEST['favoris']) )
        {
    $title_short="Les signets récents";
  }
}

function tableau_menu($title_short)
// Affichage du menu en haut
{
        global $rechercher;
        // Un tableau complet
        $current_url = $_SERVER['PHP_SELF'];
        echo "<table cellspacing=0 cellpadding=0 border=0>\n<TR>\n";
        echo "<td class='td_menu_int'><span class='a_menu'><a href=".$current_url."?favoris=1>Favoris</span><br /></a></td>\n";
        // Des signets au hasard
        echo "<td class='td_menu_int'><span class='a_menu'><a href=".$current_url."?random=1>Hasard</span></a></td>\n";
        // Les signets récents
        echo "<td class='td_menu_int'><span class='a_menu'><a href=".$current_url."?recents=1>Récents</span></a></td>\n";
        // Champ de recherche interne
        echo "<FORM NAME='recherche'  method='post' ACTION=".$current_url.">\n";
        echo "<TD class='td_rechercher' >\n";
        echo "<INPUT class='input_rechercher' name='cherche_texte' type='text' size='12' maxlength='50'>\n";
        echo "</td><td class='td_rechercher'>\n";
        echo "<BUTTON type='submit'>".$rechercher."<align=left></button>";
        echo "</td></form><td class='td_menu_int' align=center width=100%><span class='titre_liens'>$title_short</span></td>";
        ?>
        <td class='td_rechercher' width=20><span class='a_menu'>
                <a HREF="#" onClick="window.open('../admin/version_page.php','version_page','toolbar=1,location=0,directories=0,status=0,scrollbars=1,resizable=1,copyhistory=0,menuBar=1,width=480,height=380');return(false)">?</a>&nbsp;</td></tr>
        </table>
        <?php
}


function affichage_des_groupes($ep_category_tablename)
{
// On veut afficher les groupes, mais si on liste la table catégorie les mêmes
// nom de groupe reviennent plusieurs fois, il faut vérifer à chaque afffichage
// que le groupe n'a pas déjà été affiché
// VOIR la structure de la table des catégories

// Requête qui donne les enregistrements classé par nom de groupe croissant
$result = mysql_query("select * from $ep_category_tablename
    order by category_group asc") or mysql_die();
    
// Un compteur qui sert à afficher la première ligne !
$nb=0;
$tab[]=0;
while ($row=mysql_fetch_array($result))
    {
        // on met l'id_groupe dans un tableau tab[]
        $tab[$nb] = $row[category_group_id] ;
        $nb_prec=$nb-1;
        // Affichage de la première ligne
        if($nb==0)
        {
          // Affichage d'une ligne d'enregistrement : groupe
          echo "<a href='?group_id=$row[category_group_id]'>$row[category_group]</a> - ";
        }
        
        // Affichage des enregistrements qui n'ont pas le même id_groupe que
        // l'enregistrement précédent pour ne pas afficher plusieurs fois un
        // même groupe
        elseif($tab[$nb_prec]!=$tab[$nb])
        {
          // Affichage d'une ligne d'enregistrement : groupe
          echo "<a href='?group_id=$row[category_group_id]'>$row[category_group]</a> - ";
        }
       $nb++;
        
 }
  
}

function affichage_des_categories($ep_category_tablename)
{
    isset($_REQUEST['group_id'])?($nb_group_id=$_REQUEST['group_id']):($nb_group_id=1);
          // $nb_group_id = 7;
    
    $result = mysql_query("select * from $ep_category_tablename
    where category_group_id=$nb_group_id order by category_group asc") or mysql_die();
                
                while($row_result = mysql_fetch_array($result))
                        {
                        // On affiche les signets d'une catégorie, on demande aussi l'affichage
                        // des catégories du groupe en cours
                                echo "<a HREF=".$_SERVER['PHP_SELF']."?category_id=".$row_result['category_id']
        ."&group_id=".$row_result['category_group_id'].">".
                                                "$row_result[category_category]</a>"."<br />";
                        }
}

function affichage_des_signets($ep_url_tablename,$ep_category_tablename,$title,$myPass)
{
  // Affichage des signets dans la partie droite de la page
  // On affiche les signets
  //  - d'un groupe si l'on clique sur un nom de groupe
  // >> une seule variable passée en paramétre : group_id
  //  - d'une catégorie si l'on clique sur une catégorie
  // >> 2 variables passées en paramètre : category_id et group_id  

/////////////////////////////////////////////////////////////////////////////////////
        
  //affichage des signets par defaut quand on arrive sur la page
  // soit par choix >> les plus récents <<
if (!isset($_REQUEST['category_id']) and !isset($_REQUEST['group_id'])
                        and !isset($_REQUEST['random']) and !isset($_REQUEST['cherche_texte'])
                        and !isset($_REQUEST['recents']) )
        //les signets favoris tant qu'on n'a pas cliqué sur une categorie
{
        $query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename
                        where url_category_id = category_id
                                and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_registerdate desc limit 10";
                $result = mysql_query($query) or mysql_die();
                show_url_list($result,10,$myPass);
}
          


//affiche les signets quand on a cliqué sur un groupe
if(isset($_REQUEST['group_id'])and(!isset($_REQUEST['category_id'])))
{
         // On récupère l'id du groupe dont on veut afficher les signets dans la
         // variable $groupe_id
         $groupe_id = $_REQUEST['group_id'];

    // On fait une requête pour obtenir les catégorie appartenant à ce groupe !
         $result = mysql_query("SELECT * FROM $ep_category_tablename where category_group_id='$groupe_id' order by category_group");

    // une boucle qui parcours les enregistrement catégorie pour un groupe donnée
    // On affiche à chaque passage les signets de la catégorie en cours
    while ($row=mysql_fetch_array($result))
    {
        // Requete sur les signets d'une catégorie (pour un groupe donnée)
        $query = "SELECT * FROM $ep_url_tablename where url_category_id = '$row[0]'";
        // and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_title";
                         $result2 = mysql_query($query);
                         // Affichage des signets d'une catégorie pour un groupe donné
        show_url_list($result2,1000,$myPass);
    }
}  
  
        //affiche les signets quand on a cliqué sur une catégorie
        if (isset($_REQUEST['category_id']))
        {
                $category_id = $_REQUEST['category_id'];
                //on a clique sur une liste sans la dérouler (ou pas de liste), on affiche toutes les sous-catégories
                //recherche de la catégorie
                $query_2 = "SELECT * FROM $ep_category_tablename where category_id = '$category_id' ";
                $result_2 = mysql_query($query_2);
                $row_2=mysql_fetch_array($result_2);
                if ($row_2['category_category'] == $row_2['category_sub_category'])
                {
                        $query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename
                                where url_category_id = category_id
                                        and category_category = '$row_2[category_category]'
                                        and url_approved = 1  and url_hibernate = 0  and url_verif_flag>0 order by url_title";
                        $result = mysql_query($query);
                }        
                else
                {
                        $query = "SELECT * FROM $ep_url_tablename where url_category_id = '$category_id'
                        and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_title";
                        $result = mysql_query($query);
                }
          show_url_list($result,1000,$myPass);
        }
        
                //affiche les signets récents
        if (isset($_REQUEST['recents']))
        {
                $query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename
                        where url_category_id = category_id
                                and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_registerdate desc limit 10";
                $result = mysql_query($query) or mysql_die();
                show_url_list($result,10,$myPass);
   }  
  
        //affichage de 10 signets au hasard
        if (isset($_REQUEST['random']))
        {    
          // echo "</td><td>";// <!--Debut cellule R2 pour tableau central -->";
          unset($_REQUEST['random']);
          $query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename
                  where url_category_id = category_id
                  and category_group_private_flag=0
                  and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_title";
          $result = mysql_query($query);
          srand(date("s"));
          mysql_data_seek($result, rand(0, mysql_num_rows($result) - 1));
          //echo "<div class='titre_liste'>10 signets pris au hasard</div><br>";
          show_url_list($result,10,$myPass);
        }
        
        //affichage des signets issus de la recherche interne
        if (isset($_REQUEST['cherche_texte']))
        {
                $recherche_texte = $_REQUEST['cherche_texte'];
                // echo "</td><td>";// <!--Debut cellule R2 pour tableau central -->";
                //echo "<div class='titre_liste'>Résultat de la recherche du mot '".$recherche_texte."' dans les signets:</div><br>" ;
                $result = mysql_query("select * from $ep_url_tablename
                WHERE MATCH (url_sub_title, url_title,url,url_description,url_hidden_description) AGAINST ('$recherche_texte')
                        and url_approved = 1 and url_verif_flag > 0  and url_hibernate = 0 ") or mysql_die();
                show_url_list($result,1000,$myPass);
        }
}

function show_url_list($result,$nb_records,$myPass)
{
        global $point;
        $i=0;
        while ($row=mysql_fetch_array($result) and $i<$nb_records)
        {
                $i++;
                echo $point."<a href=http://".$row['url']." target='_blank'><span class=lien_site>".ltrim(stripslashes($row['url_title']))."</spam></a> ".ltrim(stripslashes($row['url_sub_title']))."\n";
                if ($row['url_description'])
                {
                        echo "<br />".nl2br(ltrim(stripslashes($row['url_description'])));
                }
                echo "<span class='ref_et_date'> réf $row[url_id] - date $row[url_registerdate]</span>\n";
                if ($myPass =='ok')
                {
                        echo "<a href=../signets_modif/modif_signet.php?url_id=$row[url_id]  ><span class=admin_bleu>Modif</span></a>&nbsp;
                        <a href=../signets_efface/efface_signet.php?url_id=$row[url_id]  ><span class=admin_rouge>Sup</span></a>\n";
                }
                echo "<br /><br />";
        }
}
 function footer($myPass)
 {
    Echo "<table align=center><tr><td>\n";
    Echo "<a href='http://e-signets.fr/index.php'>\n";
    Echo "<img src=../images/logo_atelierphp_petit.png border='0'></a></td><td><small>\n";
    Echo "Tout droit réservé. 2005-2007";
    // <!-- Aide & Administration-->
    Echo "<br /><a href='../admin/admin_form.php'>Administration</a>\n";
                $myPass == "ok" ? print "<a href=../signets_ajout/ajout_signet_1.php>Ajouter</a>\n" : print "";
          Echo "\n</td></table>";
}
?>
