<?php
/*
APPLICATION ATELIERPHP-e-signets - VERSION 3.2	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php"); 
require("../fonctions/fonction_mysql_die.php");
affichage_des_signets($ep_url_tablename,$ep_category_tablename,$title_short,$myPass);
?>
</td></tr>
</td></tr></table></td> 
<!-- fin de l'affichage des signets -->
</tr></TABLE>

<?php  
//****************** F O N C T I O N S *************************************

function affichage_des_signets($ep_url_tablename,$ep_category_tablename,$title,$myPass)
{
	//<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx-->
	//affichage des signets les plus récents
	if ((!isset($_REQUEST['category_id']) or isset($_REQUEST['favoris'])) 
			and !isset($_REQUEST['random']) and !isset($_REQUEST['cherche_texte'])
			and !isset($_REQUEST['recents']) )
	//les signets favoris tant qu'on n'a pas cliqué sur une categorie
	{
	$result = mysql_query("SELECT * FROM $ep_url_tablename
		where url_favorite = 1
		and url_approved = 1 and url_verif_flag >0 and url_hibernate = 0 order by url_title");
	show_url_list($result,1000,$myPass);
	}	  
	//affiche les signets récents
	if (isset($_REQUEST['recents']))
	{
		$query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename 
			where url_category_id = category_id 
				and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_registerdate desc limit 10";
		$result = mysql_query($query) or mysql_die();
		show_url_list($result,10,$myPass);
   }  
	//affiche les signets quand on a cliqué sur une catégorie
	if (isset($_REQUEST['category_id']))
	{
		$category_id = $_REQUEST['category_id'];
		//on a clique sur une liste sans la dérouler (ou pas de liste), on affiche toutes les sous-catégories
		//recherche de la catégorie
		$query_2 = "SELECT * FROM $ep_category_tablename where category_id = '$category_id' ";
		$result_2 = mysql_query($query_2);
		$row_2=mysql_fetch_array($result_2);
		if ($row_2['category_category'] == $row_2['category_sub_category'])
		{
			$categ = mysql_real_escape_string($row_2[category_category]);
			$query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename 
				where url_category_id = category_id 
					and category_category = '$categ' 
					and url_approved = 1  and url_hibernate = 0  and url_verif_flag>0 order by url_title";
			$result = mysql_query($query);
		}	
		else
		{
			$query = "SELECT * FROM $ep_url_tablename where url_category_id = '$category_id' 
			and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_title";
			$result = mysql_query($query);
		}
  	show_url_list($result,1000,$myPass);
	}
	//affichae de 10 signets au hasard
	if (isset($_REQUEST['random']))
	{    
  	// echo "</td><td>";// <!--Debut cellule R2 pour tableau central -->";
  	unset($_REQUEST['random']);
  	$query = "SELECT * FROM $ep_url_tablename, $ep_category_tablename 
  		where url_category_id = category_id 
  		and category_group_private_flag=0
  		and url_approved = 1 and url_verif_flag>0  and url_hibernate = 0 order by url_title";
  	$result = mysql_query($query);
  	srand(date("s"));
  	mysql_data_seek($result, rand(0, mysql_num_rows($result) - 1)); 
  	show_url_list($result,10,$myPass);
	}
	//affichage des signets issus de la recherche interne
	if (isset($_REQUEST['cherche_texte']))
	{
		$recherche_texte = $_REQUEST['cherche_texte'];
		$result = mysql_query("select * from $ep_url_tablename
		WHERE MATCH (url_sub_title, url_title,url,url_description,url_hidden_description) AGAINST ('$recherche_texte') 
			and url_approved = 1 and url_verif_flag > 0  and url_hibernate = 0 ") or mysql_die();
		show_url_list($result,1000,$myPass);
	}
}

function show_url_list($result,$nb_records,$myPass)
{
	global $point;
	$i=0;
	while ($row=mysql_fetch_array($result) and $i<$nb_records)
	{
		$i++;
		echo $point."<a href=http://".$row['url']." target='_blank'><span class=lien_site>".ltrim(stripslashes($row['url_title']))."</span></a> ".ltrim(stripslashes($row['url_sub_title']))."\n";
		if ($row['url_description'])
		{
			echo "<br />".nl2br(ltrim(stripslashes($row['url_description'])));
		}
		echo "<span class='ref_et_date'> réf $row[url_id] - date $row[url_registerdate]</span>\n";
		if ($myPass =='ok')
		{
			echo "<a href=../signets_modif/modif_signet.php?url_id=$row[url_id]  ><span class=admin_bleu>Modif</span></a>&nbsp;
			<a href=../signets_efface/efface_signet.php?url_id=$row[url_id]  ><span class=admin_rouge>Sup</span></a>\n";
		}
		echo "<br />";
	}
}
